;;; acdw-lisp.el -*- lexical-binding: t; coding: utf-8-unix -*-
;;
;; Extras for Lisp modes.

(defun acdw/eval-region-or-buffer ()
  (interactive)
  (if (region-active-p)
      (let ((begin (region-beginning))
            (end (region-end)))
        (with-message (format "Evaluating %S -> %S" begin end)
          (eval-region begin end)))
    (with-message "Evaluating buffer"
      (eval-buffer))))

(provide 'acdw-lisp)
;;; acdw-lisp.el ends here
